public class Main {
    public static void main(String[] args) {
        String reddit = new String();
        User user = new User("Anita", "reddit", "596534123");  // Invalid user

        Validator<User> validator = new Validator<User>()
                .addRule(ValidationRule.notBlank("Name", User::name))
                .addRule(ValidationRule.notBlank("Email", User::email))
                .addRule(ValidationRule.minLength("Password", User::password, 6));

        try {
            validator.validate(user);
        } catch (ValidationException ve) {
            System.out.println("Validation failed with errors:");
            ve.getErrors().forEach(System.out::println);
        }
    }
}
